summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-02-16 05:02:52 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-02-16 05:02:52 (GMT)
commit39c2b31a9bfb656be1c7fba9bc73d297230f6d60 (patch)
tree90406a7c1356ebdd7e48e7ee0322be05a22a8610
parentee08c3133373b7a4d14d655e052c3175eaf558fe (diff)
downloadlinhes_pkgbuild-39c2b31a9bfb656be1c7fba9bc73d297230f6d60.zip
linhes_pkgbuild-39c2b31a9bfb656be1c7fba9bc73d297230f6d60.tar.gz
linhes_pkgbuild-39c2b31a9bfb656be1c7fba9bc73d297230f6d60.tar.bz2
VDPAU!
-rw-r--r--abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD56
-rw-r--r--abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD.orig55
-rw-r--r--abs/extra-testing/community/mplayer-vdpau-nogui/no_segfault_configure.diff11
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/2.6.28_dvb_api_version.diff22
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/PKGBUILD97
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/QUICKSTART.archlinux69
-rwxr-xr-xabs/extra-testing/community/mythtv-vdpau/menu-xml/HOST_SETTINGS.xml87
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/is.xml3
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/library.xml.patch15
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/linhes.xml54
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/mainmenu.xml.patch39
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/mythbackup.xml20
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/mythrestore.xml20
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/optical_menu.xml.patch15
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/original/create_patch.sh5
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/setup.xml111
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/siriusmenu.xml419
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/util_menu.xml.patch17
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/menu-xml/xmmenu.xml574
-rwxr-xr-xabs/extra-testing/community/mythtv-vdpau/mythbackend38
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/myththemedmenu.cpp.patch125
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/myththemedmenu.h.patch25
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/mythtv.install13
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/pretty2
-rw-r--r--abs/extra-testing/community/mythtv-vdpau/smolt_jump.patch9
-rw-r--r--abs/extra-testing/community/nvidia-beta/PKGBUILD43
-rw-r--r--abs/extra-testing/community/nvidia-beta/nvidia.install22
-rw-r--r--abs/extra-testing/community/nvidia-utils-beta/PKGBUILD79
-rw-r--r--abs/extra-testing/community/nvidia-utils-beta/nvidia.install36
-rw-r--r--abs/extra-testing/community/nvidia-utils-beta/supported-cards.txt272
-rw-r--r--abs/extra-testing/community/xine-lib-vdpau-svn/PKGBUILD48
31 files changed, 2401 insertions, 0 deletions
diff --git a/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD b/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD
new file mode 100644
index 0000000..0beb3e5
--- /dev/null
+++ b/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD
@@ -0,0 +1,56 @@
+#Contributor: Vincent Kriek [Vintendo] <vincent@vincentkriek.nl>
+#Contributor: Reiser <metal@pop3.ru>
+
+pkgname=mplayer-vdpau-nogui
+pkgver=28348
+pkgrel=1
+pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
+arch=('i686' 'x86_64')
+url="http://www.mplayerhq.hu/"
+license=('GPL')
+depends=('ttf-dejavu' 'nvidia-beta')
+makedepends=('subversion')
+conflicts=('mplayer')
+provides=('mplayer')
+source=('ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3482714.tar.bz2'
+ 'no_segfault_configure.diff')
+md5sums=(60547e0d950c414fe72ede79cf801327
+ ed962f7642ffcf2411ec6465fdc8c132)
+
+build() {
+# if [ "${CFLAGS}" != *"-fpic"* ]; then
+# CFLAGS=$CFLAGS' -fpic'
+# fi
+ unset CFLAGS
+
+ cd $srcdir/mplayer-vdpau-3482714
+
+ co_dir=mplayer-vdpau
+ svn co --ignore-externals -r 28348 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir}
+ cd ${co_dir}
+ svn co -r 16724 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc
+ svn co -r 16724 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat
+ svn co -r 16724 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec
+ svn co -r 16724 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil
+ svn co -r 1166 svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdread/src libdvdread4
+ svn co -r 1166 svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdnav/src libdvdnav
+
+ patch -p0 < ../mplayer-vdpau-mplayer.patch
+ patch -p0 < ../mplayer-vdpau-libavcodec.patch
+
+ patch -p1 < ../../no_segfault_configure.diff
+ ./configure --prefix=/usr --confdir=/etc/mplayer --disable-gui \
+ --disable-runtime-cpudetection --enable-largefiles --enable-menu \
+ --disable-libdv --disable-aa --disable-liblzo --disable-speex \
+ --disable-fribidi --disable-arts --disable-smb --disable-dvdnav \
+ --disable-openal --disable-faad-internal --disable-jack \
+ --disable-musepack --disable-libamr_nb --disable-libamr_wb --disable-lirc \
+ --disable-lircc --disable-x264 --disable-x264-lavc --enable-vdpau
+
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+
+ install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
+ install -d $pkgdir/usr/share/mplayer/
+ ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
+}
diff --git a/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD.orig b/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD.orig
new file mode 100644
index 0000000..d3a381e
--- /dev/null
+++ b/abs/extra-testing/community/mplayer-vdpau-nogui/PKGBUILD.orig
@@ -0,0 +1,55 @@
+#Contributor: Vincent Kriek [Vintendo] <vincent@vincentkriek.nl>
+#Contributor: Reiser <metal@pop3.ru>
+
+
+pkgname=mplayer-vdpau-nogui
+pkgver=28348
+pkgrel=2
+pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
+arch=('i686' 'x86_64')
+url="http://www.mplayerhq.hu/"
+license=('GPL')
+depends=('ttf-dejavu' 'nvidia-beta')
+makedepends=('subversion')
+conflicts=('mplayer')
+provides=('mplayer')
+source=('ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3482714.tar.bz2' 'no_segfault_configure.diff')
+md5sums=(60547e0d950c414fe72ede79cf801327 ed962f7642ffcf2411ec6465fdc8c132)
+
+_ffmpeg_rev=16726
+_dvdnav_rev=1166
+
+build() {
+
+ [ "${CFLAGS}" != *"-fpic"* ] && CFLAGS="${CFLAGS} -fpic"
+
+ cd $srcdir/mplayer-vdpau-3482714
+
+ co_dir=mplayer-vdpau
+ svn co --ignore-externals -r $pkgver svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir}
+ cd ${co_dir}
+ svn co -r $_ffmpeg_rev svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc
+ svn co -r $_ffmpeg_rev svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat
+ svn co -r $_ffmpeg_rev svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec
+ svn co -r $_ffmpeg_rev svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil
+ svn co -r $_dvdnav_rev svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdread/src libdvdread4
+ svn co -r $_dvdnav_rev svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdnav/src libdvdnav
+
+ patch -p0 < ../mplayer-vdpau-mplayer.patch
+ patch -p1 < ../../no_segfault_configure.diff
+
+ ./configure --prefix=/usr --confdir=/etc/mplayer --disable-gui \
+ --disable-runtime-cpudetection --enable-largefiles --enable-menu \
+ --disable-libdv --disable-aa --disable-liblzo --disable-speex \
+ --disable-fribidi --disable-arts --disable-smb --disable-dvdnav \
+ --disable-openal --disable-faad-internal --disable-jack \
+ --disable-musepack --disable-libamr_nb --disable-libamr_wb --disable-lirc \
+ --disable-lircc --disable-x264 --disable-x264-lavc --enable-vdpau
+
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+
+ install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
+ install -d $pkgdir/usr/share/mplayer/
+ ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
+}
diff --git a/abs/extra-testing/community/mplayer-vdpau-nogui/no_segfault_configure.diff b/abs/extra-testing/community/mplayer-vdpau-nogui/no_segfault_configure.diff
new file mode 100644
index 0000000..2dd5fe4
--- /dev/null
+++ b/abs/extra-testing/community/mplayer-vdpau-nogui/no_segfault_configure.diff
@@ -0,0 +1,11 @@
+--- a/configure.old 2008-11-15 23:27:59.000000000 +0100
++++ b/configure 2008-11-15 23:28:26.000000000 +0100
+@@ -79,7 +79,7 @@
+ }
+
+ tmp_run() {
+- "$TMPEXE" >> "$TMPLOG" 2>&1
++ :
+ }
+
+ # Display error message, flushes tempfile, exit
diff --git a/abs/extra-testing/community/mythtv-vdpau/2.6.28_dvb_api_version.diff b/abs/extra-testing/community/mythtv-vdpau/2.6.28_dvb_api_version.diff
new file mode 100644
index 0000000..0116023
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/2.6.28_dvb_api_version.diff
@@ -0,0 +1,22 @@
+Index: libs/libmythtv/dvbtypes.h
+===================================================================
+--- libs/libmythtv/dvbtypes.h (revision 19792)
++++ libs/libmythtv/dvbtypes.h (working copy)
+@@ -19,7 +19,7 @@
+ #include <linux/dvb/frontend.h>
+ #include <linux/dvb/dmx.h>
+
+-#if (DVB_API_VERSION != 3)
++#if (DVB_API_VERSION != 3 && DVB_API_VERSION != 5)
+ # error "DVB driver includes with API version 3 not found!"
+ #endif
+
+@@ -27,7 +27,7 @@
+ # define DVB_API_VERSION_MINOR 0
+ #endif
+
+-#if (DVB_API_VERSION >= 3 && DVB_API_VERSION_MINOR >= 1)
++#if ((DVB_API_VERSION == 3 && DVB_API_VERSION_MINOR >= 1) || DVB_API_VERSION == 5)
+ # define USE_ATSC
+ #else
+ #warning DVB API version < 3.1
diff --git a/abs/extra-testing/community/mythtv-vdpau/PKGBUILD b/abs/extra-testing/community/mythtv-vdpau/PKGBUILD
new file mode 100644
index 0000000..3a1b2f1
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/PKGBUILD
@@ -0,0 +1,97 @@
+pkgname=mythtv-vdpau
+pkgver=0.21
+pkgrel=1
+pkgdesc="A Homebrew PVR project"
+arch=('i686' 'x86_64')
+depends=('bash' 'mysql-clients>=5.0' 'qt3' 'lame' 'lirc-utils' 'ffmpeg' \
+ 'libxvmc' 'libavc1394' 'libdc1394' 'libiec61883' 'nvidia-beta')
+backup=(etc/mythtv/mythbackend.conf etc/mythtv/mysql.txt usr/share/mythtv/is.xml)
+source=(ftp://ftp.knoppmyth.net/R6/sources/mythtv-${pkgver}-fixes.tar.bz2 \
+ mythbackend myththemedmenu.cpp.patch myththemedmenu.h.patch \
+ smolt_jump.patch pretty \
+ http://www.avenard.org/files/mythtv-vdpau/mythtv-fixes-glvdpau19990.patch.gz)
+
+#md5sums=('e316ed18d7ac837cf8c4af54b1478793' '7ef6de58240e7aad389a0b13d91b1cf6'\
+# 'a0ecb7f476cb71c0c1ac90d349fc7695')
+conflicts=('mythtv')
+provides=('mythtv'${pkgver})
+replaces=('mythtv')
+license=('GPL2')
+makedepends=(libgl subversion nvidia-utils-beta)
+groups=('pvr')
+url="http://www.mythtv.org/"
+install=mythtv.install
+
+build() {
+ cd $startdir/src/mythtv-${pkgver} || return 1
+ svn update -r 19990
+
+#apply patches
+ patch -p0 < ../myththemedmenu.cpp.patch
+ patch -p0 < ../myththemedmenu.h.patch
+# patch -p0 < ../pop_be_restart.h.patch
+# patch -p0 < ../pop_be_restart.cpp.patch
+ patch -p0 < ../smolt_jump.patch
+# patch -p0 < ../2.6.28_dvb_api_version.diff
+ patch -p1 < ../mythtv-fixes-glvdpau19990.patch
+
+ . /etc/profile.d/qt3.sh
+
+ # use QT3 qmake
+ export PATH=$QTDIR/bin:$PATH
+ [ "$CARCH" = "i686" ] && ARCH="i686"
+ [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
+
+ ./configure --prefix=/usr --cpu=${ARCH} --enable-mmx --enable-audio-oss \
+ --enable-audio-alsa --enable-dvb --enable-lirc --enable-joystick-menu \
+ --disable-firewire --enable-v4l --enable-ivtv --enable-dvb \
+ --dvb-path=/usr/include --enable-xvmc --disable-ffmpeg \
+ --enable-xvmc-pro --enable-xvmc-vld --enable-opengl-vsync \
+ --disable-audio-jack --disable-audio-arts --disable-directfb \
+ --enable-vdpau --enable-opengl-video --enable-ffmpeg-pthreads \
+ --enable-glx-procaddrarb || return 1
+
+ # build
+ #needs the subversion program
+ pkgversubversion=`svnversion`
+ echo $pkgversubversion
+ sed -i -e "s/\`(svnversion \$\${SVNTREEDIR} 2>\/dev\/null) || echo Unknown\`/$pkgversubversion/" version.pro
+
+
+# qmake mythtv.pro || return 1
+# make qmake || return 1
+ make || return 1
+
+ # basic install
+ make INSTALL_ROOT=$startdir/pkg install || return 1
+
+ # install db schema
+ install -m0644 database/mc.sql $startdir/pkg/usr/share/mythtv/ \
+ || return 1
+ install -D -m0755 ../mythbackend $startdir/pkg/etc/rc.d/mythbackend \
+ || return 1
+ cp -r docs $startdir/pkg/usr/share/mythtv/ || return 1
+ # cp ../QUICKSTART.archlinux $startdir/pkg/usr/share/mythtv/ \
+# || return 1
+
+ # install contrib
+ mkdir -p $startdir/pkg/usr/share/mythtv/contrib || return 1
+ install -m0755 contrib/* $startdir/pkg/usr/share/mythtv/contrib
+
+ # set suid on mythfrontend
+ #chmod a+s $startdir/pkg/usr/bin/mythfrontend
+
+#Patch the xml LinHES style
+ cp -r $startdir/menu-xml/*.xml $startdir/pkg/usr/share/mythtv
+ cd $startdir/pkg/usr/share/mythtv
+ patch -p0 < $startdir/menu-xml/mainmenu.xml.patch
+ patch -p0 < $startdir/menu-xml/optical_menu.xml.patch
+ patch -p0 < $startdir/menu-xml/library.xml.patch
+ patch -p0 < $startdir/menu-xml/util_menu.xml.patch
+
+#Make log dir
+ mkdir -p $startdir/pkg/var/log/mythtv
+ chown 1000.1000 $startdir/pkg/var/log/mythtv
+ mkdir -p $startdir/pkg/etc/cron.hourly
+ install -m0755 $startdir/src/pretty $startdir/pkg/etc/cron.hourly/
+}
diff --git a/abs/extra-testing/community/mythtv-vdpau/QUICKSTART.archlinux b/abs/extra-testing/community/mythtv-vdpau/QUICKSTART.archlinux
new file mode 100644
index 0000000..310705c
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/QUICKSTART.archlinux
@@ -0,0 +1,69 @@
+MythTV QUICKSTART
+=================
+This Arch Linux package provides a generic MythTV installation. It
+requires extensive user configuration. This is a skeletal document, and
+more extensive information is available in /usr/share/mythtv/docs.
+
+MythTV is split into a backend and a frontend. The backend records
+television programming, keeps up with scheduling, does commercial
+flagging, transcoding, and other such jobs. The frontend provides a
+pretty GUI which allows playback and edition of the recorded programs.
+It also provides a means to schedule recordings. There are a number of
+plugins available for MythTV, and most of the official ones are
+available as Arch packages. There are two configurations; the backend
+and frontend can be on the same machine, or on two different machines on
+the same network.
+
+Backend Configuration
+---------------------
+MythTV keeps the majority of its settings and program information in a
+mysql database. Before running the backend configuration program, it is
+necessary to initialize the datase. Make sure mysql is running properly.
+
+# mysql < /usr/share/mythtv/mc.sql
+
+If your frontend is going to be remote, you must allow other computers
+on your network to have access to your database. Substitute 192.168.1.%
+with whatever IP range you use. If you have a root mysql password (as
+you should), leave the -p in the mysql command line. Otherwise remove
+the switch.
+
+# mysql -u root -p
+ mysql> connect mythconverg;
+ mysql> grant all on mythconverg.* to mythtv@"192.168.1.%" identified by "mythtv";
+ mysql> flush privileges;
+ mysql> quit
+
+In order to configure the MythTV backend, you will need to run the
+mythtv-setup program. Note that this requires X. If your backend is
+headless, considering using vnc as a quick and dirty "fix".
+
+# mythtv-setup
+
+Go through all the menus. You will need to know information like your
+capture card device (/dev/v4l/video[0-9]) and your program information
+acquisition method. United States users will most likely subscribe to
+Zap2it Labs' DataDirect service. It requires that users take a survey
+every three months in order to continue service. This isn't as hard as
+it sounds.
+
+It is necessary to update the database with all the current TV listings.
+Run the mythfilldatabase program to grab the listings using whatever
+method you specified in mythtv-setup.
+
+# mythfilldatabase
+
+Run mythbackend from the command line to make sure everything starts ok.
+
+# mythbackend
+
+If so, you may kill the task with "ctrl-c" on your keyboard, and add the
+backend to /etc/rc.conf. In the DAEMONS line, just add "mythbackend" to
+the list.
+
+In the future, you will need to run mythfilldatabase regularly. I allow
+my frontend computer to do this, as it runs continuously, and it is an
+option within MythTV. Otherwise, you can set up a cron job, or move
+mythfilldatabasecron to /etc/cron.daily
+
+cp /usr/share/mythtv/mythfilldatabasecron /etc/cron.daily
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/HOST_SETTINGS.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/HOST_SETTINGS.xml
new file mode 100755
index 0000000..f257920
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/HOST_SETTINGS.xml
@@ -0,0 +1,87 @@
+<mythmenu name="HOST_SETTINGS">
+
+ <button>
+ <type>MV_NETWORK_SETUP_MENU</type>
+ <text>Network Settings</text>
+ <action>EXEC mythinstall -s network </action>
+ </button>
+
+ <button>
+ <type>MV_SYSTEM_SETUP_MENU</type>
+ <text>System type</text>
+ <action>EXEC mythinstall -s hostype </action>
+ </button>
+
+ <button>
+ <type>MV_MISC_SETUP_MENU</type>
+ <text>Misc Settings</text>
+ <action>EXEC mythinstall -s misc </action>
+ </button>
+
+ <button>
+ <type>MV_SOFTWARE_MENU</type>
+ <text>Software</text>
+ <action>EXEC mythinstall -s plugins </action>
+ </button>
+
+ <button>
+ <type>MV_SHUTDOWN_SETUP_MENU</type>
+ <text>Shutdown settings</text>
+ <action>EXEC mythinstall -s sleep </action>
+ </button>
+
+
+<button>
+ <type>MV_ADVANCED_X_SETUP_MENU</type>
+ <text>Display</text>
+ <action>EXEC mythinstall -s advancedX</action>
+</button>
+
+<button>
+ <type>MV_ADVANCED_SETUP_MENU</type>
+ <text>Advanced settings</text>
+ <action>EXEC mythinstall -s advanced</action>
+</button>
+
+
+<button>
+ <type>MV_AUDIO_SETUP_MENU</type>
+ <text>Audio settings</text>
+ <action>EXEC mythinstall -s sound </action>
+</button>
+
+
+<button>
+ <type>MV_ACCESS_SETUP_MENU</type>
+ <text>Access</text>
+ <action>EXEC mythinstall -s accesscontrol </action>
+</button>
+
+<button>
+ <type>MV_USER_SETUP_MENU</type>
+ <text>Password </text>
+ <action>EXEC mythinstall -s user </action>
+</button>
+
+<button>
+ <type>MV_WEBACCESS_SETUP_MENU</type>
+ <text>Web security</text>
+ <action>EXEC mythinstall -s webuser </action>
+</button>
+
+
+
+
+ <!--
+ <button>
+ <type>SETUP_MENU</type>
+ <text>Settings profile manager</text>
+ <action>EXEC mythinstall -t </action>
+
+ </button>
+ -->
+
+
+
+
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/is.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/is.xml
new file mode 100644
index 0000000..88b7e6b
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/is.xml
@@ -0,0 +1,3 @@
+<mythmenu name="Internet Steams">
+
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/library.xml.patch b/abs/extra-testing/community/mythtv-vdpau/menu-xml/library.xml.patch
new file mode 100644
index 0000000..efc8623
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/library.xml.patch
@@ -0,0 +1,15 @@
+--- library.xml.orig 2009-02-09 04:30:04.000000000 +0000
++++ library.xml 2009-02-09 04:31:50.000000000 +0000
+@@ -119,10 +119,9 @@
+
+ <button>
+ <type>STREAM</type>
+- <text>Play Online Streams</text>
++ <text>Online Streams</text>
+ <text lang="HE">נגן מדיה מכוונת</text>
+- <action>PLUGIN mythstream</action>
+- <depends>mythstream</depends>
++ <action>MENU is.xml</action>
+ </button>
+
+ <button>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/linhes.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/linhes.xml
new file mode 100644
index 0000000..8bc929f
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/linhes.xml
@@ -0,0 +1,54 @@
+<mythmenu name="LinHES">
+
+ <button>
+ <type>SETUP_GENERAL</type>
+ <text>MythTV Configuration</text>
+ <text lang="IT">Impostazioni</text>
+ <text lang="ES">Configuración</text>
+ <text lang="CA">Configurar</text>
+ <text lang="FR">paramètres</text>
+ <text lang="DE">Zubehör / Konfiguration</text>
+ <text lang="DK">Tilbehør/Indstillinger</text>
+ <text lang="IS">Uppsetning</text>
+ <text lang="NL">Configuratie</text>
+ <text lang="PT">Utensílios</text>
+ <text lang="SV">Verktyg / Inställningar</text>
+ <text lang="JA">設定</text>
+ <text lang="FI">Oheis/Asetukset</text>
+ <text lang="ZH_TW">工具/設定</text>
+ <text lang="SI">Nastavitve</text>
+ <text lang="ET">Utiliidid / sätted</text>
+ <text lang="NB">Verktøy/Oppsett</text>
+ <text lang="CZ">Pomůcky</text>
+ <text lang="RU">Утилиты / Настройки</text>
+ <text lang="AR">تضبيطات</text>
+ <text lang="PL">Narzędzia / ustawienia</text>
+ <text lang="HE">עזרים / הגדרות</text>
+ <alttext lang="DE">Verschiedenes</alttext>
+ <alttext lang="SV">Inställningar</alttext>
+ <alttext lang="ET">Sätted</alttext>
+ <alttext lang="RU">Настройки</alttext>
+ <alttext lang="AR">تضبيطات</alttext>
+ <action>MENU util_menu.xml</action>
+ </button>
+
+ <button>
+ <type>LINHES_SETUP</type>
+ <text>LinHES Configuration</text>
+ <action>MENU HOST_SETTINGS.xml</action>
+ </button>
+
+ <button>
+ <type>BACKUP</type>
+ <text>Backup LinHES</text>
+ <action>MENU mythbackup.xml</action>
+ </button>
+
+ <button>
+ <type>RESTORE</type>
+ <text>Restore LinHES</text>
+ <action>MENU mythrestore.xml</action>
+ </button>
+
+</mythmenu>
+
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/mainmenu.xml.patch b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mainmenu.xml.patch
new file mode 100644
index 0000000..a299325
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mainmenu.xml.patch
@@ -0,0 +1,39 @@
+--- mainmenu.xml.orig 2009-01-09 02:45:07.000000000 +0000
++++ mainmenu.xml 2009-01-22 08:04:28.000000000 +0000
+@@ -158,34 +158,8 @@
+
+ <button>
+ <type>MENU_UTILITIES_SETUP</type>
+- <text>Utilities / Setup</text>
+- <text lang="IT">Impostazioni</text>
+- <text lang="ES">Configuración</text>
+- <text lang="CA">Configurar</text>
+- <text lang="FR">paramètres</text>
+- <text lang="DE">Zubehör / Konfiguration</text>
+- <text lang="DK">Tilbehør/Indstillinger</text>
+- <text lang="IS">Uppsetning</text>
+- <text lang="NL">Configuratie</text>
+- <text lang="PT">Utensílios</text>
+- <text lang="SV">Verktyg / Inställningar</text>
+- <text lang="JA">設定</text>
+- <text lang="FI">Oheis/Asetukset</text>
+- <text lang="ZH_TW">工具/設定</text>
+- <text lang="SI">Nastavitve</text>
+- <text lang="ET">Utiliidid / sätted</text>
+- <text lang="NB">Verktøy/Oppsett</text>
+- <text lang="CZ">Pomůcky</text>
+- <text lang="RU">Утилиты / Настройки</text>
+- <text lang="AR">تضبيطات</text>
+- <text lang="PL">Narzędzia / ustawienia</text>
+- <text lang="HE">עזרים / הגדרות</text>
+- <alttext lang="DE">Verschiedenes</alttext>
+- <alttext lang="SV">Inställningar</alttext>
+- <alttext lang="ET">Sätted</alttext>
+- <alttext lang="RU">Настройки</alttext>
+- <alttext lang="AR">تضبيطات</alttext>
+- <action>MENU util_menu.xml</action>
++ <text>Service Menu</text>
++ <action>MENU linhes.xml</action>
+ </button>
+
+ <!-- <button>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythbackup.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythbackup.xml
new file mode 100644
index 0000000..656860d
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythbackup.xml
@@ -0,0 +1,20 @@
+<mythmenu name="LinHES">
+
+ <button>
+ <type>BACKUP</type>
+ <text>Do you wish to backup?</text>
+ <action>NONE</action>
+ </button>
+
+ <button>
+ <type>BACKUP</type>
+ <text>Yes</text>
+ <action>EXEC sudo /usr/LH/bin/mythbackup</action>
+ </button>
+
+ <button>
+ <type>BACKUP</type>
+ <text>No</text>
+ <action>MENU linhes.xml</action>
+ </button>
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythrestore.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythrestore.xml
new file mode 100644
index 0000000..05cb0a7
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/mythrestore.xml
@@ -0,0 +1,20 @@
+<mythmenu name="LinHES">
+
+ <button>
+ <type>RESTORE</type>
+ <text>Do you wish to restore?</text>
+ <action>NONE</action>
+ </button>
+
+ <button>
+ <type>RESTORE</type>
+ <text>Yes</text>
+ <action>EXEC sudo /usr/LH/bin/mythrestore</action>
+ </button>
+
+ <button>
+ <type>BACKUP</type>
+ <text>No</text>
+ <action>MENU linhes.xml</action>
+ </button>
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/optical_menu.xml.patch b/abs/extra-testing/community/mythtv-vdpau/menu-xml/optical_menu.xml.patch
new file mode 100644
index 0000000..d1cb70c
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/optical_menu.xml.patch
@@ -0,0 +1,15 @@
+--- optical_menu.xml.orig 2008-10-02 22:46:30.000000000 +0000
++++ optical_menu.xml 2008-07-02 04:05:15.000000000 +0000
+@@ -129,6 +129,12 @@
+ </button>
+
+ <button>
++ <type>DVD_RIP</type>
++ <text>Import video files from DVD</text>
++ <action>EXEC /usr/LH/bin/importfiles.sh</action>
++ </button>
++
++ <button>
+ <type>EJECT</type>
+ <text>Eject media</text>
+ <text lang="IT">Espelli Media</text>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/original/create_patch.sh b/abs/extra-testing/community/mythtv-vdpau/menu-xml/original/create_patch.sh
new file mode 100644
index 0000000..34d8b8c
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/original/create_patch.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+for i in *.xml
+do
+ diff -u $i.orig $i > ../$i.patch
+done
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/setup.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/setup.xml
new file mode 100644
index 0000000..f56bb6f
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/setup.xml
@@ -0,0 +1,111 @@
+<mythmenu name="MAIN">
+
+ <button>
+ <type>SETUP_GENERAL</type>
+ <text>1. General</text>
+ <text lang="IT">1. Generale</text>
+ <text lang="PT">1. Geral</text>
+ <text lang="SV">1. Generellt</text>
+ <text lang="JA">1. 一般</text>
+ <text lang="DE">1. Allgemeines</text>
+ <text lang="FI">1. Yleiset</text>
+ <text lang="FR">1. Général</text>
+ <text lang="SI">1. Splošno</text>
+ <text lang="ET">1. Üldine</text>
+ <text lang="NB">1 Generelt</text>
+ <text lang="DK">1. Generelt</text>
+ <text lang="ES">1. General</text>
+ <text lang="CZ">1. Obecný</text>
+ <text lang="RU">1. Общие</text>
+ <action>GENERAL</action>
+ </button>
+
+ <button>
+ <type>SETUP_CAPTURE_CARDS</type>
+ <text>2. Capture cards</text>
+ <text lang="IT">2. Schede di Acquisizione</text>
+ <text lang="PT">2. Placas de Captura</text>
+ <text lang="SV">2. TV-kort</text>
+ <text lang="JA">2. キャプチャカード</text>
+ <text lang="DE">2. TV-Karten</text>
+ <text lang="FI">2. TV-kortit</text>
+ <text lang="FR">2. Cartes d'acquisition</text>
+ <text lang="SI">2. Kartice za zajem</text>
+ <text lang="ET">2. TV-kaardid</text>
+ <text lang="NB">2 TV-kort</text>
+ <text lang="DK">2. TV-kort</text>
+ <text lang="ES">2. Capturadoras</text>
+ <text lang="CZ">2. Zachytávací karty</text>
+ <text lang="RU">2. Карты захвата</text>
+ <action>CAPTURE CARDS</action>
+ </button>
+
+ <button>
+ <type>SETUP_VIDEO_SOURCES</type>
+ <text>3. Video sources</text>
+ <text lang="IT">3. Fonte Video</text>
+ <text lang="PT">3. Fontes de Vídeo</text>
+ <text lang="SV">3. Videokällor</text>
+ <text lang="JA">3. ビデオソース</text>
+ <text lang="DE">3. Videoquellen</text>
+ <text lang="FI">3. Kuvanlähteet</text>
+ <text lang="FR">3. Sources vidéo</text>
+ <text lang="SI">3. Video viri</text>
+ <text lang="ET">3. Videosisendid</text>
+ <text lang="NB">3 Videokilder</text>
+ <text lang="DK">3. Videokilder</text>
+ <text lang="ES">3. Fuentes de Vídeo</text>
+ <text lang="CZ">3. Zdroje obrazu</text>
+ <text lang="RU">3. Видео источники</text>
+ <action>VIDEO SOURCES</action>
+ </button>
+
+ <button>
+ <type>SETUP_INPUT_CONNECTIONS</type>
+ <text>4. Input connections</text>
+ <text lang="IT">4. Connessioni di Ingresso</text>
+ <text lang="PT">4. Ligações de Entrada</text>
+ <text lang="SV">4. Anslutningar</text>
+ <text lang="JA">4. 入力とソースの接続</text>
+ <text lang="DE">4. Verknüpfungen</text>
+ <text lang="FI">4. Sisääntuloasetukset</text>
+ <text lang="FR">4. Entrées Vidéos</text>
+ <text lang="SI">4. Vhodne povezave</text>
+ <text lang="ET">4. Sisendite ühendused</text>
+ <text lang="NB">4 Inndata</text>
+ <text lang="DK">4. Indgange</text>
+ <text lang="ES">4. Conexiones</text>
+ <text lang="CZ">4. Připojení vstupů</text>
+ <text lang="RU">4. Соединение входов</text>
+ <action>CARD INPUTS</action>
+ </button>
+
+ <button>
+ <type>SETUP_CHANNEL_EDITOR</type>
+ <text>5. Channel Editor</text>
+ <text lang="IT">5. Modifica Canali</text>
+ <text lang="SV">5. Kanaleditor</text>
+ <text lang="JA">5. チャンネル設定</text>
+ <text lang="DE">5. Sender bearbeiten</text>
+ <text lang="FI">5. Kanavanviritys</text>
+ <text lang="FR">5. Editeur de chaînes</text>
+ <text lang="SI">5. Urejanje kanalov</text>
+ <text lang="ET">5. Kanaliredaktor</text>
+ <text lang="NB">5 Kanalredigerer</text>
+ <text lang="DK">5. Kanal opsætning</text>
+ <text lang="ES">5. Editor Canales</text>
+ <text lang="CZ">5. Editor kanálů</text>
+ <text lang="RU">5. Редактор каналов</text>
+ <action>CHANNEL EDITOR</action>
+ </button>
+
+ <button>
+ <type>SETUP_STORAGE_GROUPS</type>
+ <text>6. Storage Directories</text>
+ <text lang="IT">6. Cartelle</text>
+ <text lang="FI">Tallennusryhmät</text>
+ <text lang="SV">Lagringsgrupper</text>
+ <action>STORAGE GROUPS</action>
+ </button>
+
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/siriusmenu.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/siriusmenu.xml
new file mode 100644
index 0000000..e317b36
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/siriusmenu.xml
@@ -0,0 +1,419 @@
+<mythmenu name="SIRIUS">
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Hits 1</text>
+ <action>EXEC /usr/bin/cliSipie siriushits1</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>StarLite</text>
+ <action>EXEC /usr/bin/cliSipie starlite</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Love</text>
+ <action>EXEC /usr/bin/cliSipie siriuslove</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Movin EZ</text>
+ <action>EXEC /usr/bin/cliSipie movineasy</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Gold</text>
+ <action>EXEC /usr/bin/cliSipie siriusgold</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>'60s Vibrations</text>
+ <action>EXEC /usr/bin/cliSipie 60svibrations</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Totally '70s</text>
+ <action>EXEC /usr/bin/cliSipie totally70s</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Big '80s</text>
+ <action>EXEC /usr/bin/cliSipie big80s</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>ThePulse</text>
+ <action>EXEC /usr/bin/cliSipie thepulse</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Bridge</text>
+ <action>EXEC /usr/bin/cliSipie thebridge</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>BBC Radio 1</text>
+ <action>EXEC /usr/bin/cliSipie bbcradio1</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Super Shuffle</text>
+ <action>EXEC /usr/bin/cliSipie supershuffle</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Elvis Radio</text>
+ <action>EXEC /usr/bin/cliSipie elvisradio</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Classic Vinyl</text>
+ <action>EXEC /usr/bin/cliSipie classicvinyl</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Classic Rewind</text>
+ <action>EXEC /usr/bin/cliSipie classicrewind</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>TheVault</text>
+ <action>EXEC /usr/bin/cliSipie thevault</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Jam_ON</text>
+ <action>EXEC /usr/bin/cliSipie jamon</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Spectrum</text>
+ <action>EXEC /usr/bin/cliSipie thespectrum</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>BuzzSaw</text>
+ <action>EXEC /usr/bin/cliSipie buzzsaw</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Octane</text>
+ <action>EXEC /usr/bin/cliSipie octane</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Alt Nation</text>
+ <action>EXEC /usr/bin/cliSipie altnation</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>1st Wave</text>
+ <action>EXEC /usr/bin/cliSipie firstwave</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Hair Nation</text>
+ <action>EXEC /usr/bin/cliSipie hairnation</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>'90s Alternative</text>
+ <action>EXEC /usr/bin/cliSipie 90salternative</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Garage</text>
+ <action>EXEC /usr/bin/cliSipie undergroundgarage</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Left of Center</text>
+ <action>EXEC /usr/bin/cliSipie leftofcenter</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Hard Attack</text>
+ <action>EXEC /usr/bin/cliSipie hardattack</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Faction</text>
+ <action>EXEC /usr/bin/cliSipie faction</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Punk</text>
+ <action>EXEC /usr/bin/cliSipie punk</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>The Coffee House</text>
+ <action>EXEC /usr/bin/cliSipie coffeehouse</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Margaritaville</text>
+ <action>EXEC /usr/bin/cliSipie radiomargaritaville</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Disorder</text>
+ <action>EXEC /usr/bin/cliSipie siriusdisorder</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Reggae</text>
+ <action>EXEC /usr/bin/cliSipie reggaerhythms</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Area 33</text>
+ <action>EXEC /usr/bin/cliSipie area33</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Boombox</text>
+ <action>EXEC /usr/bin/cliSipie boombox</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Chill</text>
+ <action>EXEC /usr/bin/cliSipie chill</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>The Beat</text>
+ <action>EXEC /usr/bin/cliSipie thebeat</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Strobe</text>
+ <action>EXEC /usr/bin/cliSipie thestrobe</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Hip-Hop Nation</text>
+ <action>EXEC /usr/bin/cliSipie hiphopnation</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>BackSpin</text>
+ <action>EXEC /usr/bin/cliSipie backspin</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Shade 45</text>
+ <action>EXEC /usr/bin/cliSipie shade45</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Hot Jamz</text>
+ <action>EXEC /usr/bin/cliSipie hotjamz</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Heart &amp; Soul</text>
+ <action>EXEC /usr/bin/cliSipie heartandsoul</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>SoulTown</text>
+ <action>EXEC /usr/bin/cliSipie soultown</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>New Country</text>
+ <action>EXEC /usr/bin/cliSipie newcountry</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Prime Country</text>
+ <action>EXEC /usr/bin/cliSipie primecountry</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Roadhouse</text>
+ <action>EXEC /usr/bin/cliSipie theroadhouse</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Outlaw Country</text>
+ <action>EXEC /usr/bin/cliSipie outlawcountry</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Bluegrass</text>
+ <action>EXEC /usr/bin/cliSipie bluegrass</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Spirit</text>
+ <action>EXEC /usr/bin/cliSipie spirit</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Praise</text>
+ <action>EXEC /usr/bin/cliSipie praise</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Planet Jazz</text>
+ <action>EXEC /usr/bin/cliSipie planetjazz</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>JazzCafe</text>
+ <action>EXEC /usr/bin/cliSipie jazzcafe</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>PureJazz</text>
+ <action>EXEC /usr/bin/cliSipie purejazz</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Spa 73</text>
+ <action>EXEC /usr/bin/cliSipie spa73</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Blues</text>
+ <action>EXEC /usr/bin/cliSipie siriusblues</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Siriusly Sinatra</text>
+ <action>EXEC /usr/bin/cliSipie siriuslysinatra</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Broadway's Best</text>
+ <action>EXEC /usr/bin/cliSipie broadwaysbest</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Symphony Hall</text>
+ <action>EXEC /usr/bin/cliSipie symphonyhall</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Met Opera Radio</text>
+ <action>EXEC /usr/bin/cliSipie metropolitanopera</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Pops</text>
+ <action>EXEC /usr/bin/cliSipie siriuspops</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Universo Latino</text>
+ <action>EXEC /usr/bin/cliSipie universolatino</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Rumbon</text>
+ <action>EXEC /usr/bin/cliSipie rumbon</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Martha Stewart</text>
+ <action>EXEC /usr/bin/cliSipie marthastewartlivingradio</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius Stars</text>
+ <action>EXEC /usr/bin/cliSipie siriusstars</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>OutQ Gay Radio</text>
+ <action>EXEC /usr/bin/cliSipie siriusoutq</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Patriot</text>
+ <action>EXEC /usr/bin/cliSipie siriuspatriot</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Left</text>
+ <action>EXEC /usr/bin/cliSipie siriusleft</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>CNN</text>
+ <action>EXEC /usr/bin/cliSipie cnn</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>wrn</text>
+ <action>EXEC /usr/bin/cliSipie wrn</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Blue Collar Comedy</text>
+ <action>EXEC /usr/bin/cliSipie bluecollarcomedy</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Raw Dog Comedy</text>
+ <action>EXEC /usr/bin/cliSipie rawdog</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Laugh Break Comedy</text>
+ <action>EXEC /usr/bin/cliSipie laughbreak</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>thefoxxhole</text>
+ <action>EXEC /usr/bin/cliSipie thefoxxhole</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>lime</text>
+ <action>EXEC /usr/bin/cliSipie lime</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Kids Stuff</text>
+ <action>EXEC /usr/bin/cliSipie kidsstuff</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Catholic Channel</text>
+ <action>EXEC /usr/bin/cliSipie thecatholicchannel</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>EWTN</text>
+ <action>EXEC /usr/bin/cliSipie ewtnglobal</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>christiantalk</text>
+ <action>EXEC /usr/bin/cliSipie christiantalk</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Sirius NFL Radio</text>
+ <action>EXEC /usr/bin/cliSipie siriusnflradio</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Maxim Radio</text>
+ <action>EXEC /usr/bin/cliSipie maximradio</action>
+ </button>
+ <button>
+ <type>MUSIC</type>
+ <text>Cosmo Radio</text>
+ <action>EXEC /usr/bin/cliSipie cosmopolitanradio</action>
+ </button>
+ <button>
+ <type>TV_DELETE</type>
+ <text>Stop Listening</text>
+ <action>EXEC /usr/bin/sipie_kill</action>
+ </button>
+
+</mythmenu>
+
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/util_menu.xml.patch b/abs/extra-testing/community/mythtv-vdpau/menu-xml/util_menu.xml.patch
new file mode 100644
index 0000000..26ac863
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/util_menu.xml.patch
@@ -0,0 +1,17 @@
+--- util_menu.xml.orig 2009-01-09 02:45:07.000000000 +0000
++++ util_menu.xml 2009-01-22 08:04:28.000000000 +0000
+@@ -76,7 +76,13 @@
+ <action>PLUGIN mythcontrols</action>
+ <depends>mythcontrols</depends>
+ </button>
+-
++
++ <button>
++ <type>VIDEO_SCREENSHOOTER</type>
++ <text>Thumbnail Generator</text>
++ <action>EXEC /usr/LH/bin/shootscreens-mythtv.sh</action>
++ </button>
++
+ <button>
+ <type>SETUP_MENU</type>
+ <text>Setup</text>
diff --git a/abs/extra-testing/community/mythtv-vdpau/menu-xml/xmmenu.xml b/abs/extra-testing/community/mythtv-vdpau/menu-xml/xmmenu.xml
new file mode 100644
index 0000000..6b26d11
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/menu-xml/xmmenu.xml
@@ -0,0 +1,574 @@
+<!-- Current as of April 25, 2007 -->
+<mythmenu name="XM">
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '40s</text>
+ <action>EXEC /usr/bin/xamp kill 4</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '50s</text>
+ <action>EXEC /usr/bin/xamp kill 5</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '60s</text>
+ <action>EXEC /usr/bin/xamp kill 6</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '70s</text>
+ <action>EXEC /usr/bin/xamp kill 7</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '80s</text>
+ <action>EXEC /usr/bin/xamp kill 8</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The '90s</text>
+ <action>EXEC /usr/bin/xamp kill 9</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>America</text>
+ <action>EXEC /usr/bin/xamp kill 10</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>X Country</text>
+ <action>EXEC /usr/bin/xamp kill 12</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Willie's Place</text>
+ <action>EXEC /usr/bin/xamp kill 13</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Bluegrass Junction</text>
+ <action>EXEC /usr/bin/xamp kill 14</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Village</text>
+ <action>EXEC /usr/bin/xamp kill 15</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Highway 16</text>
+ <action>EXEC /usr/bin/xamp kill 16</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>US Country</text>
+ <action>EXEC /usr/bin/xamp kill 17</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>20 on 20</text>
+ <action>EXEC /usr/bin/xamp kill 20</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Heart</text>
+ <action>EXEC /usr/bin/xamp kill 23</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Blend</text>
+ <action>EXEC /usr/bin/xamp kill 25</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Flight 26</text>
+ <action>EXEC /usr/bin/xamp kill 26</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Cinemagic</text>
+ <action>EXEC /usr/bin/xamp kill 27</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>On Broadway</text>
+ <action>EXEC /usr/bin/xamp kill 28</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>U-Pop</text>
+ <action>EXEC /usr/bin/xamp kill 29</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Hitlist</text>
+ <action>EXEC /usr/bin/xamp kill 30</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Torch</text>
+ <action>EXEC /usr/bin/xamp kill 31</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Message</text>
+ <action>EXEC /usr/bin/xamp kill 32</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Spirit</text>
+ <action>EXEC /usr/bin/xamp kill 33</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>enLighten</text>
+ <action>EXEC /usr/bin/xamp kill 34</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Deep Tracks</text>
+ <action>EXEC /usr/bin/xamp kill 40</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Boneyard</text>
+ <action>EXEC /usr/bin/xamp kill 41</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Liquid Metal</text>
+ <action>EXEC /usr/bin/xamp kill 42</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XMU</text>
+ <action>EXEC /usr/bin/xamp kill 43</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Fred</text>
+ <action>EXEC /usr/bin/xamp kill 44</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Cafe</text>
+ <action>EXEC /usr/bin/xamp kill 45</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Top Tracks</text>
+ <action>EXEC /usr/bin/xamp kill 46</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Ethel</text>
+ <action>EXEC /usr/bin/xamp kill 47</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Squizz</text>
+ <action>EXEC /usr/bin/xamp kill 48</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Big Tracks</text>
+ <action>EXEC /usr/bin/xamp kill 49</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Loft</text>
+ <action>EXEC /usr/bin/xamp kill 50</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Music Lab</text>
+ <action>EXEC /usr/bin/xamp kill 51</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Verge</text>
+ <action>EXEC /usr/bin/xamp kill 52</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Fungus</text>
+ <action>EXEC /usr/bin/xamp kill 53</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Lucy</text>
+ <action>EXEC /usr/bin/xamp kill 54</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Soul Street</text>
+ <action>EXEC /usr/bin/xamp kill 60</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Flow</text>
+ <action>EXEC /usr/bin/xamp kill 61</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Suite 62</text>
+ <action>EXEC /usr/bin/xamp kill 62</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Groove</text>
+ <action>EXEC /usr/bin/xamp kill 64</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Rhyme</text>
+ <action>EXEC /usr/bin/xamp kill 65</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>RAW</text>
+ <action>EXEC /usr/bin/xamp kill 66</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The City</text>
+ <action>EXEC /usr/bin/xamp kill 67</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Heat</text>
+ <action>EXEC /usr/bin/xamp kill 68</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Real Jazz</text>
+ <action>EXEC /usr/bin/xamp kill 70</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Watercolors</text>
+ <action>EXEC /usr/bin/xamp kill 71</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Beyond Jazz</text>
+ <action>EXEC /usr/bin/xamp kill 72</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>High Standards</text>
+ <action>EXEC /usr/bin/xamp kill 73</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Bluesville</text>
+ <action>EXEC /usr/bin/xamp kill 74</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Hear Music</text>
+ <action>EXEC /usr/bin/xamp kill 75</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Fine Tuning</text>
+ <action>EXEC /usr/bin/xamp kill 76</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Audio Visions</text>
+ <action>EXEC /usr/bin/xamp kill 77</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Escape</text>
+ <action>EXEC /usr/bin/xamp kill 78</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>On The Rocks</text>
+ <action>EXEC /usr/bin/xamp kill 79</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Move</text>
+ <action>EXEC /usr/bin/xamp kill 80</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>BPM</text>
+ <action>EXEC /usr/bin/xamp kill 81</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The System</text>
+ <action>EXEC /usr/bin/xamp kill 82</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Chrome</text>
+ <action>EXEC /usr/bin/xamp kill 83</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM-Chill</text>
+ <action>EXEC /usr/bin/xamp kill 84</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Fuego</text>
+ <action>EXEC /usr/bin/xamp kill 90</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Viva</text>
+ <action>EXEC /usr/bin/xamp kill 91</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Aguila</text>
+ <action>EXEC /usr/bin/xamp kill 92</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Caliente</text>
+ <action>EXEC /usr/bin/xamp kill 94</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Luna</text>
+ <action>EXEC /usr/bin/xamp kill 95</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Air Musique</text>
+ <action>EXEC /usr/bin/xamp kill 100</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Joint</text>
+ <action>EXEC /usr/bin/xamp kill 101</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Sur La Route</text>
+ <action>EXEC /usr/bin/xamp kill 102</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>World Zone</text>
+ <action>EXEC /usr/bin/xamp kill 103</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Ngoma</text>
+ <action>EXEC /usr/bin/xamp kill 104</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Classics</text>
+ <action>EXEC /usr/bin/xamp kill 110</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Vox</text>
+ <action>EXEC /usr/bin/xamp kill 112</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Pops</text>
+ <action>EXEC /usr/bin/xamp kill 113</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Kids</text>
+ <action>EXEC /usr/bin/xamp kill 116</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Bob Edwards Show</text>
+ <action>EXEC /usr/bin/xamp kill 133</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>XM Comedy</text>
+ <action>EXEC /usr/bin/xamp kill 150</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Laugh USA</text>
+ <action>EXEC /usr/bin/xamp kill 151</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Special X</text>
+ <action>EXEC /usr/bin/xamp kill 154</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Agenda</text>
+ <action>EXEC /usr/bin/xamp kill 134</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Oprah and Friends</text>
+ <action>EXEC /usr/bin/xamp kill 156</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>The Virus</text>
+ <action>EXEC /usr/bin/xamp kill 202</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>1 Hit Wonders</text>
+ <action>EXEC /usr/bin/xamp kill 300</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Metalcore</text>
+ <action>EXEC /usr/bin/xamp kill 301</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>New Indie First</text>
+ <action>EXEC /usr/bin/xamp kill 302</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Late Night Mix</text>
+ <action>EXEC /usr/bin/xamp kill 303</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Sessions@AOL</text>
+ <action>EXEC /usr/bin/xamp kill 304</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>Shuffle</text>
+ <action>EXEC /usr/bin/xamp kill 305</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>New Rock First</text>
+ <action>EXEC /usr/bin/xamp kill 306</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>New Country First</text>
+ <action>EXEC /usr/bin/xamp kill 307</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>New Hip Hop First</text>
+ <action>EXEC /usr/bin/xamp kill 308</action>
+ </button>
+
+ <button>
+ <type>MUSIC</type>
+ <text>New Pop First</text>
+ <action>EXEC /usr/bin/xamp kill 309</action>
+ </button>
+
+ <button>
+ <type>TV_DELETE</type>
+ <text>Stop Listening</text>
+ <action>EXEC /usr/bin/xamp kill</action>
+ </button>
+
+</mythmenu>
diff --git a/abs/extra-testing/community/mythtv-vdpau/mythbackend b/abs/extra-testing/community/mythtv-vdpau/mythbackend
new file mode 100755
index 0000000..93773a2
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/mythbackend
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/mythbackend`
+case "$1" in
+ start)
+ stat_busy "Starting MythTV Backend"
+ [ ! -e /var/run/mysqld.pid ] && echo -n "mysqld not started" && stat_fail && exit
+ [ -z "$PID" ] && /usr/bin/mythbackend -d -l /var/log/mythbackend.log -v important
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/mythbackend.pid
+ add_daemon mythbackend
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping MythTV Backend"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mythbackend
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1s
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.cpp.patch b/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.cpp.patch
new file mode 100644
index 0000000..e5c57ef
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.cpp.patch
@@ -0,0 +1,125 @@
+--- libs/libmythui/myththemedmenu.cpp.orig 2008-01-31 15:26:38.000000000 +0000
++++ libs/libmythui/myththemedmenu.cpp 2008-02-07 22:24:27.000000000 +0000
+@@ -2102,6 +2102,10 @@
+ }
+ lastbutton = NULL;
+ }
++ else if (action == "MENU")
++ {
++ parent->doMenu();
++ }
+ else if (action == "EJECT")
+ {
+ myth_eject();
+@@ -2482,6 +2486,8 @@
+
+ if (d->foundtheme)
+ d->parseMenu(menufile);
++
++ m_menuPopup = NULL;
+ }
+
+ MythThemedMenu::~MythThemedMenu(void)
+@@ -2592,3 +2598,102 @@
+ MythScreenType::aboutToShow();
+ d->updateLCD();
+ }
++void MythThemedMenu::doMenu()
++{
++ int allowsd = gContext->GetNumSetting("AllowQuitShutdown");
++ if (m_menuPopup)
++ return;
++ QString label = "System Menu";
++ MythScreenStack *mainStack = GetMythMainWindow()->GetMainStack();
++ m_menuPopup = new MythDialogBox(label, mainStack, "menuPopup");
++ if (m_menuPopup->Create())
++ mainStack->AddScreen(m_menuPopup);
++
++ //changed line to always show shutdown/reboot
++ if ( allowsd != 10 && allowsd !=14 )
++ {
++ m_menuPopup->SetReturnEvent(this,"popmenu_exit");
++ m_menuPopup->AddButton("Power off");
++ m_menuPopup->AddButton("Reboot");
++ m_menuPopup->AddButton("About");
++ m_menuPopup->AddButton("Cancel");
++ }
++ else
++ {
++ m_menuPopup->SetReturnEvent(this,"popmenu_noexit");
++ m_menuPopup->AddButton("About");
++ m_menuPopup->AddButton("Cancel");
++ }
++}
++
++void MythThemedMenu::aboutScreen()
++{
++{
++ extern const char *myth_source_version;
++ extern const char *myth_source_path;
++ QString distro_line;
++ distro_line="";
++
++ QFile file("/etc/os_myth_release");
++ if ( file.open(IO_ReadOnly | IO_Translate) )
++ {
++ QTextStream t( &file ); // use a text stream
++ distro_line = t.readLine();
++ file.close();
++ }
++
++ QString label = "";
++ label.append(QObject::tr("Revision: ") + myth_source_version + " \n Branch:" + myth_source_path + "\n" + distro_line );
++
++ MythScreenStack *mainStack = GetMythMainWindow()->GetMainStack();
++ m_menuPopup = new MythDialogBox(label, mainStack, "About");
++ if (m_menuPopup->Create())
++ mainStack->AddScreen(m_menuPopup);
++
++ m_menuPopup->SetReturnEvent(this,"About");
++ m_menuPopup->AddButton("OK!");
++ }
++}
++
++void MythThemedMenu::customEvent(QCustomEvent *event)
++{
++ if (event->type() == kMythDialogBoxCompletionEventType)
++ {
++ DialogCompletionEvent *dce =
++ dynamic_cast<DialogCompletionEvent*>(event);
++
++ QString resultid= dce->GetId();
++ int buttonnum = dce->GetResult();
++ if (resultid == "popmenu_exit")
++ {
++ if (buttonnum == 0)
++ {
++ QString halt_cmd = gContext->GetSetting("HaltCommand",
++ "sudo /sbin/halt -p");
++ if (!halt_cmd.isEmpty())
++ system(halt_cmd.ascii());
++ }
++
++ if (buttonnum == 1)
++ {
++ QString reboot_cmd = gContext->GetSetting("RebootCommand",
++ "sudo /sbin/reboot");
++ if (!reboot_cmd.isEmpty())
++ system(reboot_cmd.ascii());
++ }
++
++ if (buttonnum == 2)
++ {
++ aboutScreen();
++ }
++ }
++
++ if (resultid == "popmenu_noexit")
++ {
++ if (buttonnum == 0)
++ aboutScreen();
++ }
++
++ m_menuPopup = NULL;
++ }
++}
diff --git a/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.h.patch b/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.h.patch
new file mode 100644
index 0000000..9744b11
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/myththemedmenu.h.patch
@@ -0,0 +1,25 @@
+--- libs/libmythui/myththemedmenu.h.orig 2008-01-31 15:26:45.000000000 +0000
++++ libs/libmythui/myththemedmenu.h 2008-02-07 21:00:22.000000000 +0000
+@@ -2,6 +2,7 @@
+ #define MYTHTHEMEDMENU_H_
+
+ #include "mythscreentype.h"
++#include "mythdialogbox.h"
+
+ class MythMainWindow;
+ class MythThemedMenuPrivate;
+@@ -26,8 +27,14 @@
+
+ void ReloadTheme(void);
+ void ReloadExitKey(void);
++
+ virtual void aboutToShow(void);
+
++ void doMenu();
++ void aboutScreen();
++ MythDialogBox *m_menuPopup;
++ void customEvent(QCustomEvent *event);
++
+ protected:
+ virtual bool keyPressEvent(QKeyEvent *e);
+ virtual void gestureEvent(MythUIType *origtype, MythGestureEvent *ge);
diff --git a/abs/extra-testing/community/mythtv-vdpau/mythtv.install b/abs/extra-testing/community/mythtv-vdpau/mythtv.install
new file mode 100644
index 0000000..c460f19
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/mythtv.install
@@ -0,0 +1,13 @@
+# arg 1: the new package version
+post_install() {
+ echo "See \"MythTV\" on the Archlinux Wiki for installation information - Extensive!!"
+}
+
+# arg 1: the old package version
+post_remove() {
+ echo -e "NOTE: mysql database was not removed. To remove run:\nmysql -u root -e 'drop database mythconverg;'"
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/community/mythtv-vdpau/pretty b/abs/extra-testing/community/mythtv-vdpau/pretty
new file mode 100644
index 0000000..3bcc0b4
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/pretty
@@ -0,0 +1,2 @@
+#!/bin/bash
+perl /usr/share/mythtv/contrib/mythrename.pl --link /myth/pretty
diff --git a/abs/extra-testing/community/mythtv-vdpau/smolt_jump.patch b/abs/extra-testing/community/mythtv-vdpau/smolt_jump.patch
new file mode 100644
index 0000000..696be80
--- /dev/null
+++ b/abs/extra-testing/community/mythtv-vdpau/smolt_jump.patch
@@ -0,0 +1,9 @@
+--- programs/mythfrontend/networkcontrol.cpp.orig 2008-03-23 23:00:25.000000000 +0000
++++ programs/mythfrontend/networkcontrol.cpp 2008-03-23 23:01:33.000000000 +0000
+@@ -81,6 +81,7 @@
+ jumpMap["zoneminderliveview"] = "ZoneMinder Live View";
+ jumpMap["zoneminderevents"] = "ZoneMinder Events";
++ jumpMap["mythsmolt"] = "MythSmolt";
+
+ // These jump point names match the (lowercased) locations from gContext
+ jumpMap["channelrecpriority"] = "Channel Recording Priorities";
diff --git a/abs/extra-testing/community/nvidia-beta/PKGBUILD b/abs/extra-testing/community/nvidia-beta/PKGBUILD
new file mode 100644
index 0000000..b69bad0
--- /dev/null
+++ b/abs/extra-testing/community/nvidia-beta/PKGBUILD
@@ -0,0 +1,43 @@
+# Maintainer : Dan Vratil <progdan@progdansoft.com>
+
+pkgname=nvidia-beta
+pkgver=180.29
+_kernver=2.6.28-LinHES
+pkgrel=1
+pkgdesc="NVIDIA beta drivers for kernel26."
+arch=('i686' 'x86_64')
+[ "$CARCH" = "i686" ] && ARCH=x86 && NV=0
+[ "$CARCH" = "x86_64" ] && ARCH=x86_64 && NV=0
+provides=('nvidia')
+url="http://www.nvidia.com/"
+depends=('kernel26' 'nvidia-utils-beta')
+conflicts=('nvidia-96xx' 'nvidia-71xx' 'nvidia-legacy')
+license=('custom')
+install=('nvidia.install')
+source=(ftp://download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg${NV}.run)
+
+md5sums=('db9aa3683988b7b0872abae7182f5bc5')
+[ "$CARCH" = "x86_64" ] && md5sums=('318e36822c095fcd410161b1326797b1')
+
+
+build()
+{
+ # Extract
+ echo ${_kernver}
+ cd $startdir/src/
+ sh NVIDIA-Linux-$ARCH-${pkgver}-pkg${NV}.run --extract-only
+ cd NVIDIA-Linux-$ARCH-${pkgver}-pkg${NV}
+
+ # Any extra patches are applied in here...
+
+ cd usr/src/nv/
+ ln -s Makefile.kbuild Makefile
+ make SYSSRC=/lib/modules/${_kernver}/build module
+
+ # install kernel module
+ mkdir -p $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
+ install -m644 nvidia.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
+
+ sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
+}
+
diff --git a/abs/extra-testing/community/nvidia-beta/nvidia.install b/abs/extra-testing/community/nvidia-beta/nvidia.install
new file mode 100644
index 0000000..f892d98
--- /dev/null
+++ b/abs/extra-testing/community/nvidia-beta/nvidia.install
@@ -0,0 +1,22 @@
+# arg 1: the new package version
+post_install() {
+ KERNEL_VERSION=`uname -r`
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+ rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+# arg 1: the old package version
+post_remove() {
+ KERNEL_VERSION=`uname -r`
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/community/nvidia-utils-beta/PKGBUILD b/abs/extra-testing/community/nvidia-utils-beta/PKGBUILD
new file mode 100644
index 0000000..ffc8664
--- /dev/null
+++ b/abs/extra-testing/community/nvidia-utils-beta/PKGBUILD
@@ -0,0 +1,79 @@
+#Maintainer: Dan Vratil <progdan@progdansoft.com>
+
+pkgname=nvidia-utils-beta
+pkgver=180.29
+pkgrel=1
+pkgdesc="NVIDIA beta drivers utilities and libraries."
+provides=('nvidia-utils' 'libgl')
+arch=('i686' 'x86_64')
+[ "$CARCH" = "i686" ] && ARCH=x86 && NV=0
+[ "$CARCH" = "x86_64" ] && ARCH=x86_64 && NV=0
+url="http://www.nvidia.com/"
+depends=('xorg-server>=1.5')
+conflicts=('libgl' 'libgl-dri' 'ati-fglrx-utils' 'nvidia-legacy-utils' \
+ 'nvidia-71xx-utils' 'nvidia-96xx-utils')
+license=('custom')
+install=nvidia.install
+source=(ftp://download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}.run \
+ supported-cards.txt)
+
+md5sums=('db9aa3683988b7b0872abae7182f5bc5'
+ '5b5835bdb1508a57591b812c109a2679')
+[ "$CARCH" = "x86_64" ] && md5sums=('318e36822c095fcd410161b1326797b1'
+ '5b5835bdb1508a57591b812c109a2679')
+options=(docs)
+
+build()
+{
+ # override nvida install routine and do it the long way.
+ cd $startdir/src/
+ sh NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}.run --extract-only
+ cd NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}/usr/
+
+ mkdir -p $startdir/pkg/usr/{lib,bin,share/applications,share/pixmaps,man/man1}
+ mkdir -p $startdir/pkg/usr/lib/xorg/modules/{extensions,drivers}
+ mkdir -p $startdir/pkg/usr/share/licenses/nvidia/
+
+ #install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} \
+ mkdir -p $startdir/pkg/usr/include/{,GL,cuda,vdpau}
+
+ install -m644 include/cuda/{cudaGL,cuda}.h $startdir/pkg/usr/include/cuda
+ install -m644 include/vdpau/{vdpau_x11,vdpau}.h $startdir/pkg/usr/include/vdpau
+ # Conflicts with MESA; if you want to develop opengl app, enable this line
+ #install -m644 include/GL/{glxext,gl,glx,glext}.h $startdir/pkg/usr/include/GL
+
+ install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls,libvdpau_nvidia,libvdpau,libvdpau_trace}.so.${pkgver} \
+ $startdir/pkg/usr/lib/ || return 1
+
+ install -m644 share/man/man1/* $startdir/pkg/usr/man/man1/ || return 1
+ rm $startdir/pkg/usr/man/man1/nvidia-installer.1.gz || return 1
+ install X11R6/lib/libXv* $startdir/pkg/usr/lib/ || return 1
+ install -m644 share/applications/nvidia-settings.desktop $startdir/pkg/usr/share/applications/ || return 1
+ # fix nvidia .desktop file
+ sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i $startdir/pkg/usr/share/applications/nvidia-settings.desktop
+ install -m644 share/pixmaps/nvidia-settings.png $startdir/pkg/usr/share/pixmaps/ || return 1
+ install X11R6/lib/modules/libnvidia-wfb.so.$pkgver $startdir/pkg/usr/lib/xorg/modules || return 1
+ install X11R6/lib/modules/drivers/nvidia_drv.so $startdir/pkg/usr/lib/xorg/modules/drivers || return 1
+ install X11R6/lib/modules/extensions/libglx.so.$pkgver $startdir/pkg/usr/lib/xorg/modules/extensions || return 1
+ install -m755 bin/nvidia-{settings,xconfig,bug-report.sh} $startdir/pkg/usr/bin/ || return 1
+ cd $startdir/pkg/usr/lib/
+ ln -s libGL.so.$pkgver libGL.so || return 1
+ ln -s libGL.so.$pkgver libGL.so.1 || return 1
+ ln -s libGLcore.so.$pkgver libGLcore.so.1 || return 1
+ ln -s libnvidia-cfg.so.$pkgver libnvidia-cfg.so.1 || return 1
+ ln -s libnvidia-tls.so.$pkgver libnvidia-tls.so.1 || return 1
+ ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
+ ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1
+ ln -s libvdpau.so.$pkgver libvdpau.so.1 || return 1
+ ln -s libvdpau.so.$pkgver libvdpau.so || return 1
+ cd $startdir/pkg/usr/lib/xorg/modules/extensions
+ ln -s libglx.so.$pkgver libglx.so || return 1
+
+ install -m644 $startdir/src/NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}/LICENSE $startdir/pkg/usr/share/licenses/nvidia/ || return 1
+ ln -s nvidia $startdir/pkg/usr/share/licenses/nvidia-utils || return 1
+ install -D -m644 $startdir/src/NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}/usr/share/doc/README.txt $startdir/pkg/usr/share/doc/nvidia/README || return 1
+ install -D -m644 $startdir/src/supported-cards.txt $startdir/pkg/usr/share/doc/nvidia/supported-cards.txt || return 1
+
+ find $startdir/pkg/usr -type d -exec chmod 755 {} \;
+}
+
diff --git a/abs/extra-testing/community/nvidia-utils-beta/nvidia.install b/abs/extra-testing/community/nvidia-utils-beta/nvidia.install
new file mode 100644
index 0000000..6f50f79
--- /dev/null
+++ b/abs/extra-testing/community/nvidia-utils-beta/nvidia.install
@@ -0,0 +1,36 @@
+# arg 1: the new package version
+post_install() {
+
+ echo -------------------------------
+ echo By using this package you accept the NVIDIA license,
+ echo which has been installed in /usr/share/licenses/nvidia/LICENSE
+ echo If you do not accept this license, you must remove the package immediately.
+ echo Dont forget to update your /etc/X11/xorg.conf
+ echo In order to use nvidia-settings, you need to install the 'gtk2' package.
+ echo In order to use nvidia-xconfig, you need to install the 'pkgconfig' package.
+ echo -------------------------------
+ echo nvidia 9746 drops support for Geforce 3 and 4 cards
+ echo If you have such a card, install the nvidia-96xx, nvidia-96xx-utils,
+ echo nvidia-96xx-ck, nvidia-96xx-beyond, nvidia-96xx-suspend2 packages
+ echo For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
+ echo -------------------------------
+ echo This drivers are beta. We recommend to use drivers from extra repo.
+
+# echo ":: Updating symlinks to use built-in libwfb"
+# ln -sf /usr/lib/xorg/modules/libnvidia-wfb.so.* /usr/lib/xorg/modules/libwfb.so
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+#post_remove() {
+# echo ":: Updating symlinks to use xorg-server libwfb"
+# ln -sf /usr/lib/xorg/modules/libwfb.so.* /usr/lib/xorg/modules/libwfb.so
+#}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/community/nvidia-utils-beta/supported-cards.txt b/abs/extra-testing/community/nvidia-utils-beta/supported-cards.txt
new file mode 100644
index 0000000..7dfcb45
--- /dev/null
+++ b/abs/extra-testing/community/nvidia-utils-beta/supported-cards.txt
@@ -0,0 +1,272 @@
+Archlinux currently manages three branches of the NVIDIA binary driver:
+
+nvidia (latest nvidia release)
+nvidia-96xx (96xx legacy branch)
+nvidia-71xx (71xx legacy branch)
+
+This contains GPUs currently supported by the 177.76 beta driver.
+
+______________________________________________________________________________
+
+Appendix A. Supported NVIDIA GPU Products
+______________________________________________________________________________
+
+For the most complete and accurate listing of supported GPUs, please see the
+Supported Products List, available from the NVIDIA Linux x86 Graphics Driver
+download page. Please go to http://www.nvidia.com/object/unix.html, follow the
+Archive link under the Linux x86 heading, follow the link for the 177.36
+driver, and then go to the Supported Products List.
+
+
+A1. NVIDIA GEFORCE GPUS
+
+
+ NVIDIA GPU product Device PCI ID
+ ---------------------------------- ----------------------------------
+ GeForce 9800 GTX+ 0x0613
+ GeForce 9800GT 0x0614
+ GeForce 8100P 0x0847
+ nForce 780a SLI 0x084C
+ nForce 750a SLI 0x084D
+ GeForce 9700 M GTS 0x062A
+ GeForce 9800 GX2 0x0604
+ GeForce 9800 GTX 0x0612
+ GeForce 9600 GT 0x0622
+ GeForce 9500 GT 0x0640
+ GeForce 9500M GS 0x0405
+ GeForce 8800M GTX 0x060C
+ GeForce 8800M GTS 0x0609
+ GeForce 8800 Ultra 0x0194
+ GeForce 8800 GTX 0x0191
+ GeForce 8800 GTS 512 0x0600
+ GeForce 8800 GTS 0x0193
+ GeForce 8800 GT 0x0602
+ GeForce 8800 GT 0x0611
+ GeForce 8800 GS 0x0606
+ GeForce 8800 GS 0x060D
+ GeForce 8700M GT 0x0409
+ GeForce 8600M GT 0x0407
+ GeForce 8600M GS 0x0425
+ GeForce 8600 GTS 0x0400
+ GeForce 8600 GT 0x0401
+ GeForce 8600 GT 0x0402
+ GeForce 8500 GT 0x0421
+ GeForce 8400M GT 0x0426
+ GeForce 8400M GS 0x0427
+ GeForce 8400M G 0x0428
+ GeForce 8400 SE 0x0420
+ GeForce 8400 GS 0x0404
+ GeForce 8400 GS 0x0422
+ GeForce 8400 GS 0x0424
+ GeForce 8400 GS 0x06E4
+ GeForce 8300 GS 0x0423
+ GeForce 8300 0x0848
+ GeForce 8200/ nForce 730a 0x084A
+ GeForce 8200 0x0849
+ GeForce 8200 0x084B
+ GeForce 8100 / nForce 720a 0x084F
+ GeForce 7950 GX2 0x0293
+ GeForce 7950 GX2 0x0294
+ GeForce 7950 GT 0x0295
+ GeForce 7950 GT 0x02E4
+ GeForce 7900 GTX 0x0290
+ GeForce 7900 GT/GTO 0x0291
+ GeForce 7900 GS 0x0292
+ GeForce 7900 GS 0x02E3
+ GeForce 7800 SLI 0x0095
+ GeForce 7800 GTX 0x0090
+ GeForce 7800 GTX 0x0091
+ GeForce 7800 GT 0x0092
+ GeForce 7800 GS 0x0093
+ GeForce 7800 GS 0x00F5
+ GeForce 7650 GS 0x0390
+ GeForce 7600 LE 0x0394
+ GeForce 7600 GT 0x02E0
+ GeForce 7600 GT 0x0391
+ GeForce 7600 GS 0x02E1
+ GeForce 7600 GS 0x0392
+ GeForce 7500 LE 0x01DD
+ GeForce 7350 LE 0x01D0
+ GeForce 7300 SE/7200 GS 0x01D3
+ GeForce 7300 LE 0x01D1
+ GeForce 7300 GT 0x0393
+ GeForce 7300 GT 0x0395
+ GeForce 7300 GS 0x01DF
+ GeForce 7150M / nForce 630M 0x0531
+ GeForce 7150 / NVIDIA nForce 630i 0x07E0
+ GeForce 7100 GS 0x016A
+ GeForce 7100 / NVIDIA nForce 630i 0x07E1
+ GeForce 7050 PV / NVIDIA nForce 630a 0x053A
+ GeForce 7050 PV / NVIDIA nForce 630a 0x053B
+ GeForce 7050 / NVIDIA nForce 610i 0x07E3
+ GeForce 7025 / NVIDIA nForce 630a 0x053E
+ GeForce 7000M / nForce 610M 0x0533
+ GeForce 6800 XT 0x0044
+ GeForce 6800 XT 0x0048
+ GeForce 6800 XT 0x00C3
+ GeForce 6800 XT 0x0218
+ GeForce 6800 XE 0x0043
+ GeForce 6800 Ultra 0x0040
+ GeForce 6800 Ultra 0x00F9
+ GeForce 6800 LE 0x0042
+ GeForce 6800 LE 0x00C2
+ GeForce 6800 LE 0x0212
+ GeForce 6800 GT 0x0045
+ GeForce 6800 GT 0x0046
+ GeForce 6800 GT 0x0215
+ GeForce 6800 GS 0x0047
+ GeForce 6800 GS 0x00C0
+ GeForce 6800 GS 0x00F6
+ GeForce 6800 0x0041
+ GeForce 6800 0x00C1
+ GeForce 6800 0x00F0
+ GeForce 6800 0x0211
+ GeForce 6700 XL 0x0147
+ GeForce 6610 XL 0x0145
+ GeForce 6600 VE 0x0143
+ GeForce 6600 LE 0x00F4
+ GeForce 6600 LE 0x0142
+ GeForce 6600 GT 0x00F1
+ GeForce 6600 GT 0x0140
+ GeForce 6600 0x00F2
+ GeForce 6600 0x0141
+ GeForce 6500 0x0160
+ GeForce 6250 0x0169
+ GeForce 6200SE TurboCache(TM) 0x0162
+ GeForce 6200 TurboCache(TM) 0x0161
+ GeForce 6200 LE 0x0163
+ GeForce 6200 A-LE 0x0222
+ GeForce 6200 0x00F3
+ GeForce 6200 0x014F
+ GeForce 6200 0x0221
+ GeForce 6150SE nForce 430 0x03D0
+ GeForce 6150 LE 0x0241
+ GeForce 6150 0x0240
+ GeForce 6100 nForce 420 0x03D5
+ GeForce 6100 nForce 405 0x03D1
+ GeForce 6100 nForce 400 0x03D2
+ GeForce 6100 0x0242
+ GeForce PCX 5900 0x00FB
+ GeForce PCX 5750 0x00FA
+ GeForce PCX 5300 0x00FC
+ GeForce Go 7950 GTX 0x0297
+ GeForce Go 7900 GTX 0x0299
+ GeForce Go 7900 GS 0x0298
+ GeForce Go 7800 GTX 0x0099
+ GeForce Go 7800 0x0098
+ GeForce Go 7600 GT 0x0399
+ GeForce Go 7600 0x0398
+ GeForce Go 7400 0x01D8
+ GeForce Go 7300 0x01D7
+ GeForce Go 7200 0x01D6
+ GeForce Go 6800 Ultra 0x00C9
+ GeForce Go 6800 0x00C8
+ GeForce Go 6600 TE/6200 TE 0x0146
+ GeForce Go 6600 GT 0x0149
+ GeForce Go 6600 0x0144
+ GeForce Go 6600 0x0148
+ GeForce Go 6400 0x0166
+ GeForce Go 6400 0x0168
+ GeForce Go 6200 0x0164
+ GeForce Go 6200 0x0167
+ GeForce Go 6150 0x0244
+ GeForce Go 6100 0x0247
+ GeForce FX Go5700 0x0347
+ GeForce FX Go5700 0x0348
+ GeForce FX Go5650 0x031B
+ GeForce FX Go5600 0x031A
+ GeForce FX Go53xx 0x032C
+ GeForce FX Go5250 0x0325
+ GeForce FX Go5200 32M/64M 0x0328
+ GeForce FX Go5200 0x0324
+ GeForce FX Go5100 0x032D
+ GeForce FX 5950 Ultra 0x0333
+ GeForce FX 5900ZT 0x0334
+ GeForce FX 5900XT 0x0332
+ GeForce FX 5900 Ultra 0x0330
+ GeForce FX 5900 0x0331
+ GeForce FX 5800 Ultra 0x0301
+ GeForce FX 5800 0x0302
+ GeForce FX 5700VE 0x0344
+ GeForce FX 5700LE 0x0343
+ GeForce FX 5700 Ultra 0x0341
+ GeForce FX 5700 0x0342
+ GeForce FX 5600XT 0x0314
+ GeForce FX 5600 Ultra 0x0311
+ GeForce FX 5600 0x0312
+ GeForce FX 5500 0x0326
+ GeForce FX 5200LE 0x0323
+ GeForce FX 5200 Ultra 0x0321
+ GeForce FX 5200 0x0320
+ GeForce FX 5200 0x0322
+ GeForce FX 5100 0x0327
+
+
+A1. TESLA GPUS
+
+ NVIDIA GPU product Device PCI ID
+ ---------------------------------- ----------------------------------
+ Tesla C870 0x0197
+
+
+A1. NVIDIA GEFORCE GPUS
+
+ NVIDIA GPU product Device PCI ID
+ ---------------------------------- ----------------------------------
+ Quadro FX 770M 0x065C
+ Quadro NVS 160M 0x06EB
+ Quadro NVS 150M 0x06EA
+ Quadro FX 1000 0x0309
+ Quadro FX 1100 0x034E
+ Quadro FX 1300 0x00FE
+ Quadro FX 1400 0x00CE
+ Quadro FX 1500 0x029E
+ Quadro FX 1500M 0x029B
+ Quadro FX 1600M 0x040D
+ Quadro FX 1700 0x040F
+ Quadro FX 2000 0x0308
+ Quadro FX 2500M 0x029A
+ Quadro FX 3000 0x0338
+ Quadro FX 330 0x00FC
+ Quadro FX 3450/4000 SDI 0x00CD
+ Quadro FX 350 0x01DE
+ Quadro FX 3500 0x029D
+ Quadro FX 350M 0x01DC
+ Quadro FX 3600M 0x061C
+ Quadro FX 360M 0x042D
+ Quadro FX 370 0x040A
+ Quadro FX 3700 0x061A
+ Quadro FX 4000 0x004E
+ Quadro FX 4400/Quadro FX 3400 0x00F8
+ Quadro FX 4500 0x009D
+ Quadro FX 4500 X2 0x029F
+ Quadro FX 4600 0x019E
+ Quadro FX 500/FX 600 0x032B
+ Quadro FX 540 0x014E
+ Quadro FX 540M 0x014C
+ Quadro FX 550 0x014D
+ Quadro FX 5500 0x029C
+ Quadro FX 560 0x039E
+ Quadro FX 5600 0x019D
+ Quadro FX 570 0x040E
+ Quadro FX 570M 0x040C
+ Quadro FX 700 0x033F
+ Quadro FX Go1000 0x034C
+ Quadro FX Go1400 0x00CC
+ Quadro FX Go700 0x031C
+ Quadro NVS 110M 0x01D7
+ Quadro NVS 110M 0x01DA
+ Quadro NVS 120M 0x01DB
+ Quadro NVS 130M 0x042A
+ Quadro NVS 135M 0x042B
+ Quadro NVS 140M 0x0429
+ Quadro NVS 210S 0x0245
+ NVIDIA GeForce 6150L 0x0245
+ Quadro NVS 280 PCI-E/Quadro FX 330 0x00FD
+ Quadro NVS 285 0x0165
+ Quadro NVS 290 0x042F
+ Quadro NVS 320M 0x040B
+ Quadro NVS 440 0x014A
+ Quadro NVS 55/280 PCI 0x032A
+
+
diff --git a/abs/extra-testing/community/xine-lib-vdpau-svn/PKGBUILD b/abs/extra-testing/community/xine-lib-vdpau-svn/PKGBUILD
new file mode 100644
index 0000000..c97b160
--- /dev/null
+++ b/abs/extra-testing/community/xine-lib-vdpau-svn/PKGBUILD
@@ -0,0 +1,48 @@
+# Contributor: Dennis Brendel <buddabrod@gmail.com>
+
+pkgname=xine-lib-vdpau-svn
+pkgver=222
+pkgrel=1
+pkgdesc="A free video player library for Unix with support for vdpau"
+arch=('i686' 'x86_64')
+url="http://xinehq.de/"
+license=('GPL')
+depends=('libxvmc' 'esound' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora' 'libxcb' 'wavpack' 'ffmpeg>=20080715' 'heimdal>=1.2.1' 'nvidia-utils>=180.16' 'nvidia>=180.16')
+optdepends=('codecs')
+makedepends=('subversion' 'pkgconfig' 'libtool' 'imagemagick' 'smbclient' 'mesa' 'alsa-lib' 'vcdimager' 'jack-audio-connection-kit' 'cvs')
+conflicts=('xine-lib')
+provides=('xine-lib=1.1.4' 'xine-lib')
+
+_svntrunk=svn://jusst.de/xine-vdpau
+_svnmod=xine-vdpau
+
+build() {
+
+ cd ${srcdir}
+
+ if [ -d $_svnmod/.svn ]; then
+ (cd $_svnmod && svn up -r $pkgver)
+ else
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ fi
+
+ msg "SVN checkout done or server timeout"
+ msg "Starting make..."
+
+ cp -r $_svnmod $_svnmod-build
+ cd $_svnmod-build
+
+ unset CFLAGS
+
+ ./autogen.sh --prefix=/usr --with-w32-path=/usr/lib/codecs \
+ --with-xv-path=/usr/lib --with-xxmc-path=/usr/lib --with-xvmc-path=/usr/lib \
+ --with-libflac --with-wavpack --with-xcb \
+ --without-arts --with-jack --without-speex \
+ --disable-gnomevfs --without-pulseaudio --disable-aalib \
+ --disable-modplug --with-external-ffmpeg || return 1
+
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+
+ rm -rf ${srcdir}/${_svnmod}-build
+}